---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab stack amend`

Save more changes to a stacked diff.

## Synopsis

Add more changes to an existing stacked diff.

This feature is experimental. It might be broken or removed without any prior notice.
Read more about what experimental features mean at
<https://docs.gitlab.com/ee/policy/experiment-beta-support.html>

Use experimental features at your own risk.

```plaintext
glab stack amend [flags]
```

## Examples

```plaintext
glab stack amend modifiedfile
glab stack amend . -m "fixed a function"
glab stack amend newfile -d "forgot to add this"
```

## Options

```plaintext
  -d, --description string   a description of the change
  -m, --message string       alias for the description flag
```

## Options inherited from parent commands

```plaintext
      --help              Show help for command
  -R, --repo OWNER/REPO   Select another repository using the OWNER/REPO or `GROUP/NAMESPACE/REPO` format or full URL or git URL
```
